org.keycloak.services.resources.admin.permissions

## Interface ClientPermissionEvaluator

-     public interface ClientPermissionEvaluator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConfigure(ClientModel client)`
    `boolean` | `canList()`
    `boolean` | `canListClientScopes()`
    `boolean` | `canManage()`
    `boolean` | `canManage(ClientModel client)`
    `boolean` | `canManage(ClientScopeModel clientScope)`
    `boolean` | `canManageClientScopes()`
    `boolean` | `canMapClientScopeRoles(ClientModel client)`
    `boolean` | `canMapCompositeRoles(ClientModel client)`
    `boolean` | `canMapRoles(ClientModel client)`
    `boolean` | `canView()`
    `boolean` | `canView(ClientModel client)`
    `boolean` | `canView(ClientScopeModel clientScope)`
    `boolean` | `canViewClientScopes()`
    `Map<String,Boolean>` | `getAccess(ClientModel client)`
    `boolean` | `isPermissionsEnabled(ClientModel client)`
    `void` | `requireConfigure(ClientModel client)`
    `void` | `requireList()`
    `void` | `requireListClientScopes()`
    `void` | `requireManage()`
    `void` | `requireManage(ClientModel client)`
    `void` | `requireManage(ClientScopeModel clientScope)`
    `void` | `requireManageClientScopes()`
    `void` | `requireView()`
    `void` | `requireView(ClientModel client)`
    `void` | `requireView(ClientScopeModel clientScope)`
    `void` | `requireViewClientScopes()`
    `void` | `setPermissionsEnabled(ClientModel client, boolean enable)`

- - ### Method Detail

    - #### isPermissionsEnabled

          boolean isPermissionsEnabled(ClientModel client)

    - #### setPermissionsEnabled

          void setPermissionsEnabled(ClientModel client,
                                     boolean enable)

    - #### requireListClientScopes

          void requireListClientScopes()

    - #### canManage

          boolean canManage()

    - #### requireManage

          void requireManage()

    - #### canManageClientScopes

          boolean canManageClientScopes()

    - #### requireManageClientScopes

          void requireManageClientScopes()

    - #### canView

          boolean canView()

    - #### canList

          boolean canList()

    - #### canViewClientScopes

          boolean canViewClientScopes()

    - #### requireList

          void requireList()

    - #### canListClientScopes

          boolean canListClientScopes()

    - #### requireView

          void requireView()

    - #### requireViewClientScopes

          void requireViewClientScopes()

    - #### canManage

          boolean canManage(ClientModel client)

    - #### canConfigure

          boolean canConfigure(ClientModel client)

    - #### requireConfigure

          void requireConfigure(ClientModel client)

    - #### requireManage

          void requireManage(ClientModel client)

    - #### canView

          boolean canView(ClientModel client)

    - #### requireView

          void requireView(ClientModel client)

    - #### canManage

          boolean canManage(ClientScopeModel clientScope)

    - #### requireManage

          void requireManage(ClientScopeModel clientScope)

    - #### canView

          boolean canView(ClientScopeModel clientScope)

    - #### requireView

          void requireView(ClientScopeModel clientScope)

    - #### canMapRoles

          boolean canMapRoles(ClientModel client)

    - #### canMapCompositeRoles

          boolean canMapCompositeRoles(ClientModel client)

    - #### canMapClientScopeRoles

          boolean canMapClientScopeRoles(ClientModel client)

    - #### getAccess

          Map<String,Boolean> getAccess(ClientModel client)

Copyright © 2021 JBoss by Red Hat. All rights reserved.